Bug 1231965 - Undercloud heat should use stack domain users
Summary: Undercloud heat should use stack domain users
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: rhosp-director
Version: unspecified
Hardware: Unspecified
OS: Unspecified
high
unspecified
Target Milestone: ga
: Director
Assignee: Derek Higgins
QA Contact: Amit Ugol
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-06-15 17:34 UTC by Steven Hardy
Modified: 2015-08-05 13:53 UTC (History)
16 users (show)

Fixed In Version: os-cloud-config-0.2.8-3.el7ost, instack-undercloud-2.1.2-6.el7ost
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-08-05 13:53:38 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Gerrithub.io 237503 None None None Never
OpenStack gerrit 180563 None None None Never
Red Hat Product Errata RHEA-2015:1549 normal SHIPPED_LIVE Red Hat Enterprise Linux OpenStack Platform director Release 2015-08-05 17:49:10 UTC

Comment 7 chris alfonso 2015-06-19 17:36:37 UTC
Yaniv, please add the qa_ak

Comment 10 Derek Higgins 2015-06-24 16:26:22 UTC
I've pushed a patch to configure use of domains in the undercloud heat here
https://review.gerrithub.io/#/c/237503/

It also requires a fix that has been merged into os-cloud-config
https://review.openstack.org/#/c/180563/2

but this fix hasn't mad it into the downstream packaging
os-cloud-config-0.2.8-1.el7ost.noarch

Comment 11 James Slagle 2015-06-24 18:30:31 UTC
os-cloud-config patch merged downstream:
https://code.engineering.redhat.com/gerrit/#/c/51516/

Comment 12 James Slagle 2015-06-24 20:05:41 UTC
i tested the instack-undercloud patch, and it lgtm so I applied it downstream:
https://code.engineering.redhat.com/gerrit/#/c/51530/
built into: instack-undercloud-2.1.2-6.el7ost

Comment 14 Amit Ugol 2015-07-07 12:24:17 UTC
Looking in the current heat-engine.log in the controller node:

2015-07-05 16:24:48.810 8917 WARNING heat.common.config [-] stack_user_domain_
id or stack_user_domain_name not set in heat.conf falling back to using default

And the above parameters are not set in /etc/heat/heat.conf

Comment 15 Steven Hardy 2015-07-07 14:28:39 UTC
@Amit: Can you please confirm if that log is from the undercloud heat (e.g the logs on the instack node, not the deployed cloud)?

There is a separate bug for the overcloud heat configuration, bz#1235748, this is only about configuring the undercloud heat service correctly.

Note another way to validate this is to look at the users in the "heat" domain on the undercloud keystone, e.g via python-openstackclient.  Without this fix, there will be no "heat" domain or users in it, with it the domain will exist and several users will exist after a successful overcloud deployment.

Comment 16 Amit Ugol 2015-07-09 08:19:04 UTC
After testing this one with Steven I can verify the fix for the undercloud installation. Please see https://bugzilla.redhat.com/show_bug.cgi?id=1235748 to monitor the same issue on the overcloud environement

Comment 18 errata-xmlrpc 2015-08-05 13:53:38 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2015:1549


Note You need to log in before you can comment on or make changes to this bug.